Name:            blivet-gui
Version:         2.1.11
Release:         1
Summary:         Tool for data storage configuration
License:         GPLv2+
URL:             https://github.com/storaged-project/blivet-gui
Source0:         https://github.com/storaged-project/blivet-gui/releases/download/%{version}/%{name}-%{version}.tar.gz

BuildArch:       noarch
BuildRequires:   desktop-file-utils libappstream-glib python3-devel gettext python3-setuptools

Requires:        python3 python3-gobject gettext python3-blivet gtk3
Requires:        PolicyKit-authentication-agent python3-pid libreport adwaita-icon-theme

Provides:        %{name}-runtime
Obsoletes:       %{name}-runtime

%description
Graphical (GTK) tool for manipulation and configuration of data storage
(disks, LVMs, RAIDs) based on blivet library. 

%package_help

%prep
%autosetup -n %{name}-%{version}

%build
%make_build

%install
%make_install

desktop-file-validate %{buildroot}/%{_datadir}/applications/blivet-gui.desktop
appstream-util validate-relax --nonet %{buildroot}/%{_datadir}/appdata/blivet-gui.appdata.xml
install -d %{buildroot}/%{_localstatedir}/log/blivet-gui

%files
%defattr(-,root,root)
%doc COPYING
%{_sysconfdir}/libreport/events.d/blivet-gui_event.conf
%{_bindir}/*
%{python3_sitelib}/*
%{_datadir}/locale/*
%{_datadir}/blivet-gui
%{_datadir}/appdata/blivet-gui.appdata.xml
%{_datadir}/applications/blivet-gui.desktop
%{_datadir}/icons/hicolor/*/apps/blivet-gui.png
%{_datadir}/polkit-1/actions/org.fedoraproject.pkexec.blivet-gui.policy
%{_localstatedir}/log/blivet-gui

%files help
%defattr(-,root,root)
%doc ChangeLog README.md
%{_mandir}/man1/blivet-gui.1*

%changelog
* Fri Oct 11 2019 openEuler Buildteam <buildteam@openeuler.org> - 2.1.11-1
- Package init


